maven-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Dennis Lundberg <denn...@apache.org>
Subject How to handle plugins that requires Java 6 (Was: Re: svn commit: r1611019 - /maven/plugins/trunk/pom.xml)
Date Wed, 16 Jul 2014 14:41:38 GMT
Hi

Fixing MPMD-182 meant bumping the Java requirement for
maven-pmd-plugin to Java 6. That in turn failed the Jenkins jobs that
have the plugins aggregator as its source. I've temporarily disable
the PMD Plugin module in the aggregator POM.

A more permament fix is needed. Would adding a profile that activates
on the presence of Java 6 be a suitable way to go?
I.e. add something like this to the plugins aggregator POM:

    <profile>
      <id>java-6</id>
      <modules>
        <module>maven-pmd-plugin</module>
      </modules>
      <activation>
        <jdk>1.6</jdk>
      </activation>
    </profile>


On Wed, Jul 16, 2014 at 4:21 PM,  <dennisl@apache.org> wrote:
> Author: dennisl
> Date: Wed Jul 16 14:21:02 2014
> New Revision: 1611019
>
> URL: http://svn.apache.org/r1611019
> Log:
> Disable maven-pmd-plugin from the aggregator, because it requires Java 6. We need to
discuss how to handle such plugins in Jenkins jobs.
>
> Modified:
>     maven/plugins/trunk/pom.xml
>
> Modified: maven/plugins/trunk/pom.xml
> URL: http://svn.apache.org/viewvc/maven/plugins/trunk/pom.xml?rev=1611019&r1=1611018&r2=1611019&view=diff
> ==============================================================================
> --- maven/plugins/trunk/pom.xml (original)
> +++ maven/plugins/trunk/pom.xml Wed Jul 16 14:21:02 2014
> @@ -74,7 +74,8 @@ under the License.
>      <module>maven-linkcheck-plugin</module>
>      <module>maven-patch-plugin</module>
>      <module>maven-pdf-plugin</module>
> -    <module>maven-pmd-plugin</module>
> +    <!-- Disabled because it requires Java 6. We need to discuss how to handle such
plugins in Jenkins jobs. -->
> +    <!-- <module>maven-pmd-plugin</module> -->
>      <!--Moved to maven-3 profile as a workaround for MNG-3814
>      <module>maven-project-info-reports-plugin</module>-->
>      <module>maven-rar-plugin</module>
>
>



-- 
Dennis Lundberg

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@maven.apache.org
For additional commands, e-mail: dev-help@maven.apache.org


Mime
View raw message